This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247647 - Unsatisfied dependency during openshift-ansible node install
Unsatisfied dependency during openshift-ansible node install
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Installer (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jason DeTiberus
Liang Xia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 10:11 EDT by Sebastian Lütge
Modified: 2016-01-22 09:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 09:00:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Lütge 2015-07-28 10:11:37 EDT
Description of problem:
Installing a node via the Ansible scripts fails, because the image ami-acd999c4 can't satisfy the docker-io >= 1.6.2 dependency of openshift-node 1.0.3.

Version-Release number of selected component (if applicable):


How reproducible:
Perform an Origin install on AWS using the default values.

Steps to Reproduce:
1. Follow the setup guide for AWS: https://github.com/openshift/openshift-ansible/blob/master/README_AWS.md
2. Try to create a cluster (should also happen when installing only a node)

Actual results:
The installation fails with this error:
TASK: [openshift_node | Install OpenShift Node package] ***********************
failed: [ansibleTest1-node-892c8] => {"changed": true, "rc": 1, "results": ["Resolving Dependencies\n--> Running transaction check\n---> Package openshift-node.x86_64 0:1.0.3-0.git.4736.15952fc.el7.centos will be installed\n--> Processing Dependency: openshift = 1.0.3-0.git.4736.15952fc.el7.centos for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n--> Processing Dependency: docker-io >= 1.6.2 for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n--> Processing Dependency: nfs-utils for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n--> Processing Dependency: socat for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n--> Processing Dependency: tuned-profiles-openshift-node for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n--> Running transaction check\n---> Package nfs-utils.x86_64 1:1.3.1-6.4.fc21 will be installed\n--> Processing Dependency: libtirpc >= 0.2.3-1 for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: gssproxy >= 0.3.0-0 for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: rpcbind for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: quota for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: libnfsidmap for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: libevent for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: keyutils for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: libtirpc.so.1()(64bit) for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: libnfsidmap.so.0()(64bit) for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n--> Processing Dependency: libevent-2.0.so.5()(64bit) for package: 1:nfs-utils-1.3.1-6.4.fc21.x86_64\n---> Package openshift.x86_64 0:1.0.3-0.git.4736.15952fc.el7.centos will be installed\n---> Package openshift-node.x86_64 0:1.0.3-0.git.4736.15952fc.el7.centos will be installed\n--> Processing Dependency: docker-io >= 1.6.2 for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n---> Package socat.x86_64 0:1.7.2.4-1.fc21 will be installed\n---> Package tuned-profiles-openshift-node.x86_64 0:1.0.3-0.git.4736.15952fc.el7.centos will be installed\n--> Processing Dependency: tuned >= 2.3 for package: tuned-profiles-openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n--> Running transaction check\n---> Package gssproxy.x86_64 0:0.4.1-1.fc21 will be installed\n--> Processing Dependency: libverto-tevent for package: gssproxy-0.4.1-1.fc21.x86_64\n--> Processing Dependency: libini_config.so.5(INI_CONFIG_1.1.0)(64bit) for package: gssproxy-0.4.1-1.fc21.x86_64\n--> Processing Dependency: libref_array.so.1()(64bit) for package: gssproxy-0.4.1-1.fc21.x86_64\n--> Processing Dependency: libini_config.so.5()(64bit) for package: gssproxy-0.4.1-1.fc21.x86_64\n--> Processing Dependency: libcollection.so.4()(64bit) for package: gssproxy-0.4.1-1.fc21.x86_64\n--> Processing Dependency: libbasicobjects.so.0()(64bit) for package: gssproxy-0.4.1-1.fc21.x86_64\n---> Package keyutils.x86_64 0:1.5.9-4.fc21 will be installed\n---> Package libevent.x86_64 0:2.0.21-6.fc21 will be installed\n---> Package libnfsidmap.x86_64 0:0.26-2.1.fc21 will be installed\n---> Package libtirpc.x86_64 0:0.2.5-2.1.fc21 will be installed\n---> Package openshift-node.x86_64 0:1.0.3-0.git.4736.15952fc.el7.centos will be installed\n--> Processing Dependency: docker-io >= 1.6.2 for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n---> Package quota.x86_64 1:4.01-15.fc21 will be installed\n--> Processing Dependency: quota-nls = 1:4.01-15.fc21 for package: 1:quota-4.01-15.fc21.x86_64\n--> Processing Dependency: tcp_wrappers for package: 1:quota-4.01-15.fc21.x86_64\n---> Package rpcbind.x86_64 0:0.2.2-2.1.fc21 will be installed\n---> Package tuned.noarch 0:2.4.1-5.fc21 will be installed\n--> Processing Dependency: virt-what for package: tuned-2.4.1-5.fc21.noarch\n--> Processing Dependency: virt-what for package: tuned-2.4.1-5.fc21.noarch\n--> Processing Dependency: python-pyudev for package: tuned-2.4.1-5.fc21.noarch\n--> Processing Dependency: python-decorator for package: tuned-2.4.1-5.fc21.noarch\n--> Processing Dependency: pygobject3-base for package: tuned-2.4.1-5.fc21.noarch\n--> Processing Dependency: kernel-tools for package: tuned-2.4.1-5.fc21.noarch\n--> Processing Dependency: hdparm for package: tuned-2.4.1-5.fc21.noarch\n--> Processing Dependency: ethtool for package: tuned-2.4.1-5.fc21.noarch\n--> Processing Dependency: dbus-python for package: tuned-2.4.1-5.fc21.noarch\n--> Running transaction check\n---> Package dbus-python.x86_64 0:1.2.0-7.fc21 will be installed\n--> Processing Dependency: libdbus-glib-1.so.2()(64bit) for package: dbus-python-1.2.0-7.fc21.x86_64\n---> Package ethtool.x86_64 2:3.14-3.fc21 will be installed\n---> Package hdparm.x86_64 0:9.48-1.fc21 will be installed\n---> Package kernel-tools.x86_64 0:4.0.8-200.fc21 will be installed\n--> Processing Dependency: kernel-tools-libs = 4.0.8-200.fc21 for package: kernel-tools-4.0.8-200.fc21.x86_64\n--> Processing Dependency: libpci.so.3(LIBPCI_3.3)(64bit) for package: kernel-tools-4.0.8-200.fc21.x86_64\n--> Processing Dependency: libpci.so.3(LIBPCI_3.0)(64bit) for package: kernel-tools-4.0.8-200.fc21.x86_64\n--> Processing Dependency: libpci.so.3()(64bit) for package: kernel-tools-4.0.8-200.fc21.x86_64\n--> Processing Dependency: libcpupower.so.0()(64bit) for package: kernel-tools-4.0.8-200.fc21.x86_64\n---> Package libbasicobjects.x86_64 0:0.1.1-24.fc21 will be installed\n---> Package libcollection.x86_64 0:0.6.2-24.fc21 will be installed\n---> Package libini_config.x86_64 0:1.1.0-24.fc21 will be installed\n--> Processing Dependency: libpath_utils.so.1(PATH_UTILS_0.2.1)(64bit) for package: libini_config-1.1.0-24.fc21.x86_64\n--> Processing Dependency: libpath_utils.so.1()(64bit) for package: libini_config-1.1.0-24.fc21.x86_64\n---> Package libref_array.x86_64 0:0.1.4-24.fc21 will be installed\n---> Package libverto-tevent.x86_64 0:0.2.6-4.fc21 will be installed\n--> Processing Dependency: libtevent.so.0(TEVENT_0.9.9)(64bit) for package: libverto-tevent-0.2.6-4.fc21.x86_64\n--> Processing Dependency: libtalloc.so.2(TALLOC_2.0.2)(64bit) for package: libverto-tevent-0.2.6-4.fc21.x86_64\n--> Processing Dependency: libtevent.so.0()(64bit) for package: libverto-tevent-0.2.6-4.fc21.x86_64\n--> Processing Dependency: libtalloc.so.2()(64bit) for package: libverto-tevent-0.2.6-4.fc21.x86_64\n---> Package openshift-node.x86_64 0:1.0.3-0.git.4736.15952fc.el7.centos will be installed\n--> Processing Dependency: docker-io >= 1.6.2 for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n---> Package pygobject3-base.x86_64 0:3.14.0-1.fc21 will be installed\n--> Processing Dependency: gobject-introspection(x86-64) >= 1.39.0 for package: pygobject3-base-3.14.0-1.fc21.x86_64\n--> Processing Dependency: libgirepository-1.0.so.1()(64bit) for package: pygobject3-base-3.14.0-1.fc21.x86_64\n---> Package python-decorator.noarch 0:3.4.0-5.fc21 will be installed\n---> Package python-pyudev.noarch 0:0.16.1-3.fc21 will be installed\n---> Package quota-nls.noarch 1:4.01-15.fc21 will be installed\n---> Package tcp_wrappers.x86_64 0:7.6-79.fc21 will be installed\n---> Package virt-what.x86_64 0:1.15-1.fc21 will be installed\n--> Running transaction check\n---> Package dbus-glib.x86_64 0:0.104-1.fc21 will be installed\n---> Package gobject-introspection.x86_64 0:1.42.0-1.fc21 will be installed\n---> Package kernel-tools-libs.x86_64 0:4.0.8-200.fc21 will be installed\n---> Package libpath_utils.x86_64 0:0.2.1-24.fc21 will be installed\n---> Package libtalloc.x86_64 0:2.1.1-3.fc21 will be installed\n---> Package libtevent.x86_64 0:0.9.21-3.fc21 will be installed\n---> Package openshift-node.x86_64 0:1.0.3-0.git.4736.15952fc.el7.centos will be installed\n--> Processing Dependency: docker-io >= 1.6.2 for package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64\n---> Package pciutils-libs.x86_64 0:3.3.0-1.fc21 will be installed\n--> Finished Dependency Resolution\n You could try using --skip-broken to work around the problem\n You could try running: rpm -Va --nofiles --nodigest\n"]}
msg: Error: Package: openshift-node-1.0.3-0.git.4736.15952fc.el7.centos.x86_64 (maxamillion-origin-next)
           Requires: docker-io >= 1.6.2
           Available: docker-io-1.3.2-2.fc21.x86_64 (fedora)
               docker-io = 1.3.2-2.fc21
           Available: docker-io-1.6.0-4.git350a636.fc21.x86_64 (updates)
               docker-io = 1.6.0-4.git350a636.fc21

Expected results:
The installation should succeed.

Additional info:
The installation was executed from an Ubuntu machine not hosted on AWS using Ansible 1.8.4.
Comment 1 Brenton Leanhardt 2015-10-20 13:29:52 EDT
Something is either wrong in the ansible or with the yum configuration on your instance.  I just launched an instance of ami-acd999c4, installed yum-utils and ran the following:

[root@ip-172-18-15-12 ~]# yumdownloader --urls docker-io
http://mirror.umd.edu/fedora/linux/updates/21/x86_64/d/docker-io-1.8.1-2.git32b8b25.fc21.x86_64.rpm

Can you try the same and paste the output?
Comment 2 Deepak Vohra 2015-10-20 16:31:25 EDT
The installation procedure is different. Used the Docker image for OpenShift and the Advanced Installation at 
https://docs.openshift.com/enterprise/3.0/install_config/install/advanced_install.html
Comment 3 Deepak Vohra 2015-10-20 16:36:59 EDT
Ansible command:
sudo ansible-playbook ~/openshift-ansible/playbooks/byo/config.yml --user "ec2-user" -e "ansible_ssh_private_key_file=docker.pem"

Error:
Error: Package: origin-node-1.0.6-0.git.5812.e2a02a8.el7.centos.x86_64 (maxamillion-origin-next)
           Requires: docker-io >= 1.6.2

/etc/ansible/hosts:

# Create an OSEv3 group that contains the masters and nodes groups
[OSEv3:children]
masters
nodes

# Set variables common for all OSEv3 hosts
[OSEv3:vars]
# SSH user, this user should allow ssh based auth without requiring a password
ansible_ssh_user=root

# If ansible_ssh_user is not root, ansible_sudo must be set to true
#ansible_sudo=true

product_type=openshift
deployment_type=origin

# uncomment the following to enable htpasswd authentication; defaults to DenyAllPasswordIdentityProvider
openshift_master_identity_providers=[{'name': 'htpasswd_auth', 'login': 'true', 'challenge': 'true', 'kind': 'HTPasswdPasswordIdentityProvider', 'filename': '/etc/openshift/openshift-passwd'}]

# host group for masters
[masters]
52.91.211.165

# host group for nodes, includes region info
[nodes]
52.91.211.165
Comment 4 Brenton Leanhardt 2015-10-21 10:15:44 EDT
Hi Deepak,

I see your system is trying to install the centos7 build of Origin.  Can you confirm you system is indeed running CentOS and not Fedora? Please provide the output of "cat /etc/redhat-release".

If you are trying to install Origin you should instead use the documentation available here:

https://docs.openshift.org/latest/install_config/install/advanced_install.html

While the documentation between Origin and OpenShift Enterprise is very similar there will be subtle differences that could cause unpredictable problems if you mix the two.

I just did the following:

* created a centos7 host in AWS
* copied the ansible inventory example from the Origin docs
* in my AMI I couldn't log in as root so I set:

ansible_ssh_user=centos
ansible_sudo=true

* I set my master and node as follows:

# host group for masters
[masters]
ec2-52-91-87-78.compute-1.amazonaws.com openshift_ip=172.18.13.245 openshift_public_ip=52.91.87.78 openshift_hostname=ip-172-18-13-245.ec2.internal openshift_public_hostname=ec2-52-91-87-78.compute-1.amazonaws.com

# host group for nodes, includes region info
[nodes]
ec2-52-91-87-78.compute-1.amazonaws.com openshift_ip=172.18.13.245 openshift_public_ip=52.91.87.78 openshift_hostname=ip-172-18-13-245.ec2.internal openshift_public_hostname=ec2-52-91-87-78.compute-1.amazonaws.com openshift_node_labels="{'region': 'infra', 'zone': 'default'}"

* I ran the following:

ansible-playbook playbooks/byo/config.yml

Everything installed correctly.
Comment 5 Deepak Vohra 2015-10-22 10:00:14 EDT
Output from:

cat /etc/redhat-release

is:

Red Hat Enterprise Linux Server release 7.1 (Maipo)
Comment 6 Deepak Vohra 2015-10-22 10:02:52 EDT
The reference https://docs.openshift.org/latest/install_config/install/advanced_install.html is used for installation. The earlier link was mis-posted.
Comment 7 Brenton Leanhardt 2015-10-22 11:05:19 EDT
What does 'yum repolist' show on the system that is seeing the yum error?

I suspect one problem is that for Origin we are likely assuming the admin is using either Fedora or CentOS.  For the product the requirement is Red Hat Enterprise Linux Server.

If you take a look the "Prerequisites" section is a little different between Origin and OSE:

https://docs.openshift.org/latest/install_config/install/advanced_install.html#prerequisites

https://docs.openshift.com/enterprise/3.0/install_config/install/prerequisites.html#software-prerequisites

You'd have to do a modified version of the OSE docs if you wanted to install Origin on RHEL.  If you haven't purchased the product or are using an evaluation you obviously won't be able to enable the rhel-7-server-ose-3.0-rpms repo.  However, the other two repos are indeed required.  The RHEL Docker distribution comes from the Extras channel.
Comment 8 Deepak Vohra 2015-10-22 11:17:00 EDT
[ec2-user@ip-172-30-1-16 ~]$ sudo yum repolist
Loaded plugins: amazon-id, rhui-lb
repo id                                          repo name                status
docker-main-repo                                 Docker main Repository       6
rhui-REGION-client-config-server-7/x86_64        Red Hat Update Infrastru     6
rhui-REGION-rhel-server-releases/7Server/x86_64  Red Hat Enterprise Linux 7,609
rhui-REGION-rhel-server-rh-common/7Server/x86_64 Red Hat Enterprise Linux   167
repolist: 7,788
Comment 9 Brenton Leanhardt 2015-10-22 11:24:38 EDT
I suspect you need to disable the 'docker-main-repo'.  You should be able to install Docker from rhel extras.  I'm betting rhui has support for that too.  You can grep under /etc/yum.repos.d for 'extras' and find out what the repo name is.
Comment 10 Deepak Vohra 2015-11-08 18:25:07 EST
With Centos following error is generated with sudo ansible-playbook ~/openshift-ansible/playbooks/byo/config.yml --user "root"

<ec2-54-159-204-5.compute-1.amazonaws.com> ESTABLISH CONNECTION FOR USER: root
fatal: [ec2-54-159-204-5.compute-1.amazonaws.com] => Failed to template {{ False in (g_master_cert_stat_result.results | map(attribute='stat.exists') | list ) }}: template error while templating string: no filter named 'map'

No user "centos" as suggested earlier to set:
ansible_ssh_user=centos
ansible_sudo=true
Comment 11 Deepak Vohra 2015-11-08 19:41:17 EST
Centos 7 does create user centos. With the suggested settings, and also added 

openshift_master_cluster_method=native

Getting error
TASK: [openshift_master | Start and enable master api] ************************ 
failed: [ec2-54-86-8-222.compute-1.amazonaws.com] => {"failed": true}
msg: Job for origin-master-api.service failed. See 'systemctl status origin-master-api.service' and 'journalctl -xn' for details.


FATAL: all hosts have already failed -- aborting

PLAY RECAP ******************************************************************** 
           to retry, use: --limit @/root/config.retry

ec2-54-86-8-222.compute-1.amazonaws.com : ok=75   changed=4    unreachable=0    failed=1   
localhost                  : ok=8    changed=0    unreachable=0    failed=0   
openshift_public_hostname=ec2-54-86-8-222.compute-1.amazonaws.com : ok=0    changed=0    unreachable=1    failed=0   
openshift_public_ip=54.86.8.222 : ok=0    changed=0    unreachable=1    failed=0
Comment 12 Deepak Vohra 2015-11-08 19:59:53 EST
Modified Masters and Nodes, which were being interpreted as multiple masters when single master was configured and removed the openshift_master_cluster_method=native.

Getting an error:
TASK: [openshift_master | Start and enable master] **************************** 
failed: [ec2-54-86-8-222.compute-1.amazonaws.com] => {"failed": true}
msg: Job for origin-master.service failed. See 'systemctl status origin-master.service' and 'journalctl -xn' for details.


FATAL: all hosts have already failed -- aborting

PLAY RECAP ******************************************************************** 
           to retry, use: --limit @/root/config.retry

ec2-54-86-8-222.compute-1.amazonaws.com : ok=70   changed=4    unreachable=0    failed=1   
localhost                  : ok=8    changed=0    unreachable=0    failed=0
Comment 13 Jason DeTiberus 2015-11-08 20:04:20 EST
Deepak,

Could you post your full inventory file?

Also, there should be an error in the journal for the origin-master service. journalctl -u origin-master-api -l should give it to you in a format that you can copy/paste from.  

One thing I noticed above is that you are overriding openshift_ip, openshift_hostname and openshift_public_hostname, unless you are disabling the metadata on the hosts through cloud-init, you should be able to leave these variables off and openshift-facts should auto-detect these values correctly from the ec2 metadata.
Comment 14 Deepak Vohra 2015-11-08 20:42:23 EST
An earlier post by Brenton Leanhardt  suggested to override, but only the hostname is required, which is the internal IP Address ip-172-30-1-223.ec2.internal, which generates the same error. 

Some of the logs of failed master.
[centos@ip-172-30-1-223 ~]$ sudo systemctl status origin-master.service
origin-master.service - Origin Master Service
   Loaded: loaded (/usr/lib/systemd/system/origin-master.service; enabled)
   Active: failed (Result: start-limit) since Mon 2015-11-09 01:34:20 UTC; 5min ago
     Docs: https://github.com/openshift/origin
  Process: 27723 ExecStart=/usr/bin/openshift start master --config=${CONFIG_FILE} $OPTIONS (code=exited, status=255)
 Main PID: 27723 (code=exited, status=255)

Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: origin-master.servic...
Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: Failed to start Orig...
Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: Unit origin-master.s...
Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: origin-master.servic...
Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: Stopping Origin Mast...
Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: Starting Origin Mast...
Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: origin-master.servic...
Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: Failed to start Orig...
Nov 09 01:34:20 ip-172-30-1-223.ec2.internal systemd[1]: Unit origin-master.s...
Hint: Some lines were ellipsized, use -l to show in full.

[centos@ip-172-30-1-223 ~]$ sudo journalctl -xn
-- Logs begin at Sun 2015-11-08 23:36:25 UTC, end at Mon 2015-11-09 01:40:14 UTC
Nov 09 01:40:13 ip-172-30-1-223.ec2.internal docker[20590]: time="2015-11-09T01:
Nov 09 01:40:13 ip-172-30-1-223.ec2.internal docker[20590]: time="2015-11-09T01:
Nov 09 01:40:13 ip-172-30-1-223.ec2.internal docker[20590]: time="2015-11-09T01:
Nov 09 01:40:14 ip-172-30-1-223.ec2.internal docker[20590]: time="2015-11-09T01:
Nov 09 01:40:14 ip-172-30-1-223.ec2.internal postfix/master[2088]: warning: proc
Nov 09 01:40:14 ip-172-30-1-223.ec2.internal postfix/master[2088]: warning: /usr
Nov 09 01:40:14 ip-172-30-1-223.ec2.internal docker[20590]: time="2015-11-09T01:
Nov 09 01:40:14 ip-172-30-1-223.ec2.internal docker[20590]: time="2015-11-09T01:
Nov 09 01:40:14 ip-172-30-1-223.ec2.internal docker[20590]: time="2015-11-09T01:
Nov 09 01:40:14 ip-172-30-1-223.ec2.internal docker[20590]: time="2015-11-09T01:
lines 1-11/11 (END)

[centos@ip-172-30-1-223 ~]$ [cent-- Logs begin at Mon 2015-11-09 00:16:34 UTC, end at Mon 2015-11-09 01:41:05 UTC
Nov 09 00:29:36 ip-172-30-1-223.ec2.internal systemd[1]: Starting Atomic OpenShi
Nov 09 00:29:36 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[30881]:
Nov 09 00:29:36 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[30881]:
Nov 09 00:29:37 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[30881]:
Nov 09 00:29:37 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[30881]:
Nov 09 00:29:37 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[30881]:
Nov 09 00:29:37 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[30881]:
Nov 09 00:29:46 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[30881]:
Nov 09 00:29:46 ip-172-30-1-223.ec2.internal systemd[1]: origin-master-api.servi
Nov 09 00:29:46 ip-172-30-1-223.ec2.internal systemd[1]: Failed to start Atomic 
Nov 09 00:29:46 ip-172-30-1-223.ec2.internal systemd[1]: Unit origin-master-api.
Nov 09 00:31:00 ip-172-30-1-223.ec2.internal systemd[1]: Starting Atomic OpenShi
Nov 09 00:31:00 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[1952]: 
Nov 09 00:31:00 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[1952]: 
Nov 09 00:31:01 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[1952]: 
Nov 09 00:31:01 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[1952]: 
Nov 09 00:31:01 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[1952]: 
Nov 09 00:31:01 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[1952]: 
Nov 09 00:31:10 ip-172-30-1-223.ec2.internal atomic-openshift-master-api[1952]: 
Nov 09 00:31:10 ip-172-30-1-223.ec2.internal systemd[1]: origin-master-api.servi
Nov 09 00:31:10 ip-172-30-1-223.ec2.internal systemd[1]: Failed to start Atomic 
Nov 09 00:31:10 ip-172-30-1-223.ec2.internal systemd[1]: Unit origin-master-api.
lines 1-23
Comment 15 Deepak Vohra 2015-11-08 20:43:32 EST
The 3rd log listing is for 
journalctl -u origin-master-api -l
Comment 16 Deepak Vohra 2015-11-08 20:54:25 EST
A File called "download" gets downloaded from url http://ec2-54-86-8-222.compute-1.amazonaws.com:8443 after the failed master.
Comment 17 Deepak Vohra 2015-11-08 21:29:40 EST
Inventory file is 
[OSEv3:children]
masters
nodes

# Set variables common for all OSEv3 hosts
[OSEv3:vars]

ansible_ssh_user=centos
ansible_sudo=true

product_type=openshift
deployment_type=origin

# host group for masters
[masters]
ip-172-30-1-223.ec2.internal

# host group for nodes, includes region info
[nodes]
ip-172-30-1-223.ec2.internal
Comment 18 Jason DeTiberus 2015-11-08 23:22:43 EST
Unfortunately, it looks like the relevant log content is still truncated in your previous comment...

Could you try: journalctl -u origin-master -l | tail
Comment 19 Deepak Vohra 2016-01-21 20:25:52 EST
The issue may be closed. Thanks.
Comment 20 Brenton Leanhardt 2016-01-22 09:00:49 EST
Thanks Deppak.  I'm going to close this.  If the original reporter still needs assistance it can be reopened.

Note You need to log in before you can comment on or make changes to this bug.